/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.perf.habilitation;

import java.net.URL;
import java.util.ArrayList;
import java.util.List;

import org.ow2.bonita.perf.AbstractPerftestCase;
import org.ow2.bonita.perf.habilitation.hook.AcceptationAM;
import org.ow2.bonita.perf.habilitation.hook.RefusAM;


public class Habilitation extends AbstractPerftestCase  {

  public String getAlias() {
    return "light.habilitation";
  }
  public String getProcessId() {
    return "stress_ompower";
  }
  protected URL getXpdlUrl() {
    return this.getClass().getResource("Habilitation.xpdl");
  }
  @Override
  protected List<Class< ? >> getClasses() {
    List<Class< ? >> classes = new ArrayList<Class< ? >>();
    classes.add(AcceptationAM.class);
    classes.add(RefusAM.class);
    return classes;
  }

  public long launch() {
    return executeCommonInstance(3);
  }

}


